Skip to main content
GET
List refunds
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

from_time
string

Only refunds made at or after this moment. ISO 8601 date such as 2026-10-01 (midnight UTC) or date-time such as 2026-10-01T00:00:00+05:30.

Example:

"2026-10-01"

to_time
string

Only refunds made before this moment. ISO 8601 date such as 2026-10-01 (midnight UTC) or date-time such as 2026-10-01T00:00:00+05:30.

Example:

"2026-11-01"

status
enum<string>
default:successful

Refund status.

Available options:
pending,
successful,
declined,
canceled,
requires_action
type
enum<string>

What was paid for.

Available options:
booking,
package_purchase
meeting_sid
string

Only payments of bookings for this scheduling link, by SID or slug. Package purchase payments are left out when this is set. You can get sid from the response of the List scheduling links endpoint, or by visiting the scheduling link page and clicking "Settings" > "Show SID".

page_number
integer

Page of results to retrieve, starting from 1. Defaults to 1 when omitted.

page_size
integer

Number of results per page. Defaults to 30 when omitted.

Response

OK - Request succeeded

refunds
object[]

Refunds on the requested page, newest first.

pagination
object